opticsmon(8)

NAME
opticsmon - Monitor optical modules for directly attached PCI based NICs

SYNOPSIS
opticsmon OPTIONS

DESCRIPTION
Use opticsmon to monitor the health of the optical modules of directly attached PCI based NICs. When executed without the --daemon option it will collect optical module data from all available PCI network interface physical functions and print a summary in JSON format. Add the --send-report option to report this data to the support element.

OPTIONS

  Operation Options
Run continuously and report on link state changes and periodically

Report the optics health data to the Support Element (SE)

Be quiet and don't print optics health summary

Interval in seconds at which to collect monitoring data in the absence of link state changes. A value larger than 24 hours (86400 seconds) is clamped down to 24 hours.

Include a base64 encoded binary dump of the module's SFF-8636/8472/8024 standard data for each netdev. This matches "ethtool --module-info <netdev> raw on". Example: Extract module information for the first adapter

  General Options
Print usage information, then exit.

Print version information, then exit.